Offline Files

Using Offline Files, you can continue to work with network files and programs even when you are not connected to the network.

  • For help with specific tasks, see How to.
  • For general background information, see Concepts.


How to...

  • Set up your computer to use Offline Files
  • Make a file or folder available offline
  • Change how Offline Files responds to network disconnection
  • Encrypt offline files
  • Make Web pages available offline


Set up your computer to use Offline Files

Microsoft Windows graphic

To set up your computer to use Offline Files

  1. Open My Computer.
  2. On the Tools menu, click Folder Options.
  3. Click the Offline Files tab, select the Enable Offline Files check box, and then do one of the following:
    • To do a full synchronization, select the Synchronize all offline files before logging off check box.
    • To do a quick synchronization, clear the Synchronize all offline files before logging off check box.

Notes

  • XOX
  • A full synchronization ensures that you have the most current versions of every network file that has been made available offline. A quick synchronization ensures that you have complete versions of all of your offline files, but they might not be the most current versions.
  • Enable Offline Files is controlled through Group Policy, as is Amount of disk space to use for temporary offline files. To adjust these settings, you must have the appropriate administrative credentials.
  • By default, Offline Files is enabled in XOX. However, by default, Offline Files is not enabled in the Windows Server 2003 family because Terminal Services is not compatible with Offline Files. To enable Offline Files on a server running Windows Server 2003, right-click My Computer, and then click Properties. In the System Properties dialog box, click the Remote tab. Under Remote Desktop, clear the Allow users to connect remotely to this computer check box, click OK, and then follow the steps in this procedure.
  • Even if your computer is configured to use Offline Files, you must still select the network files and folders that you want to make available offline.
  • To view a list of all of the network files that are available offline, in the Folder Options dialog box, click the Offline Files tab, click View Files, and view the files in the Offline Files Folder.

Related Topics


Make a file or folder available offline

Microsoft Windows graphic

To make a file or folder available offline

  1. Open My Computer.
  2. In My Computer, click the shared network file or folder that you want to make available offline.
  3. On the File menu, click Make Available Offline.
  4. Follow the steps in the Offline Files Wizard.

Important

  • Make Available Offline appears on the File menu only if your computer is set up to use Offline Files. For more information about setting up your computer to use Offline Files, see Related Topics.

Notes

  • XOX

  • You can make individual files from a shared network folder, or an entire shared network folder, available offline. If an entire folder is made available offline, any files placed in that shared folder will automatically be made available offline the next time the computers are synchronized.
  • If a shortcut to a file is made available offline, that file is made available offline. If a shortcut to a folder is made available offline, the contents of that folder are not made available offline.
  • When the status of your network connection changes, an Offline Files icon appears in the notification area, and a reminder balloon appears over the icon to notify you of the change. If the reminder balloon notifies you that you are offline, you can continue to work with your files as you normally do, or you can click the Offline Files icon in the notification area for more information about the status of your connection.
  • When you open files on a shared folder marked for automatic caching, those files are automatically cached and become available to you when you are offline.
  • To stop making a file or folder available offline, right-click the item, and then click Make Available Offline to remove the check mark.

Related Topics


Change how Offline Files responds to network disconnection

Microsoft Windows graphic

To change how Offline Files responds to network disconnection

  1. Open My Computer.
  2. On the Tools menu, click Folder Options.
  3. Click the Offline Files tab, and then click Advanced.
  4. Under When a network connection is lost, do one of the following:
    • To receive notification that the network connection has been lost and to continue working with offline files, click Notify me and begin working offline.
    • To make offline files and folders unavailable to you when you lose a network connection, click Never allow my computer to go offline.

Notes

  • XOX
  • To set up individual computers to respond differently from the default settings, in the Offline Files - Advanced Settings dialog box, click Add. Under Computer, type the path to the computer, and then, under When a network connection is lost, click the setting that you want for this particular computer. For example, if you want to continue working offline by default and you do not want to work offline on any files from a particular computer on the network, you can add that computer's name under Computer, and then click Never allow my computer to go offline as the behavior for that specific computer.

Related Topics


Encrypt offline files

Microsoft Windows graphic

To encrypt offline files

  1. Open My Computer.
  2. On the Tools menu, click Folder Options.
  3. Click the Offline Files tab, and then select the Encrypt offline files to secure data check box.

Notes

  • XOX
  • The Encrypt offline files to secure data check box is disabled under the following conditions:
    • You are not an administrator on the computer.
    • The local drive is not NTFS or does not support encryption.
    • Your system administrator has implemented an encryption policy for Offline Files.
    • Offline Files is not available in XOX.
    • In the Windows Server 2003 family, Offline Files is not enabled by default. To enable Offline Files, see Related Topics.

Related Topics


Make Web pages available offline

Microsoft Windows graphic

To make Web pages available offline

  1. Open Internet Explorer.
  2. Access the Web page or Web site you want to make available offline.
  3. On the Favorites menu, click Add to Favorites.
  4. In the Add Favorite dialog box, select the Make available offline check box.
  5. To specify a schedule for updating that page and how much content to download, click Customize, and then follow the instructions in the Offline Favorite Wizard.

Note

  • XOX

Related Topics


Concepts

  • Offline Files overview
  • Using Offline Files


Offline Files overview

Using Offline Files, you can continue to work with network files and programs even when you are not connected to the network.

If you lose your connection to the network or undock your portable computer, your view of shared network resources that have been made available offline remains the same as when you were connected. You can continue to work with them as you normally do. You have the same access permissions to those files and folders as you would have if you were connected to the network. When the status of your connection changes, an Offline Files icon appears in the notification area and a reminder balloon appears over the notification area to notify you of the change.

When your network connection is restored or you dock your portable computer, any changes that you made while working offline are updated to the network by default. When you and someone else on the network have made changes to the same file, you have the option of saving your version of the file to the network, keeping the other version, or saving both.

For more information about synchronizing files with Synchronization Manager, see Synchronization Manager overview.

Notes

  • You can initiate synchronization manually or you can set Synchronization Manager to control when offline files are synchronized with the network. Offline Files controls whether a full or quick synchronization is performed. A full synchronization ensures that you have the most current version of every network file that has been made available offline. A quick synchronization is much faster than a full synchronization, but may not provide the most current version of every network file that has been made available offline. However, a quick synchronization does ensure that a complete version of every file is available so that you can continue working.
  • Any shared files or folders on a Microsoft network can be made available offline. You can make files available offline from any computer that supports Server Message Block-based (SMB) File and Printer Sharing, including Microsoft® Windows® 95, Windows® 98, Windows NT® version 4.0, XOX, and the Windows® Server 2003 family. Offline Files is not available on Novell NetWare networks.
  • The system administrator can set up shared folders so that every network file you open in that shared folder is automatically made available offline, or so that only those network files you choose are made available offline.
  • If a shortcut to a file is made available offline, that file is made available offline. If a shortcut to a folder is made available offline, the contents of that folder will not be made available offline.
  • In the Windows Server 2003 family, Offline Files is not enabled by default. To enable Offline Files, see To set up your computer to use Offline Files.


Using Offline Files

  • Working offline
  • Sharing a drive or folder
  • Handling file conflicts
  • Encrypting offline files
  • Working with Web pages offline
  • Offline Files for mobile users


Working offline

Offline Files notifies you if the status of your network connection changes. When the status of your network connection changes, an Offline Files icon appears in the notification area and a reminder balloon appears over the notification area to notify you of the change. If the reminder balloon notifies you that you are offline, you can continue to work with your files as you normally do, or you can click the Offline Files icon in the notification area for more information about the status of your connection.

If you are working offline (either because you are disconnected from the network or because you undocked your portable computer), you can still browse network drives and shared folders in My Computer or My Network Places. A red X appears over any disconnected network drives. You will be able to see only those files that you made available offline and any files that you created after the network connection was lost. For more information about making a file or folder available offline, see To make a file or folder available offline.

Your permissions on the network files and folders remain the same whether you are connected to the network or working offline. For example, a read-only document on a mapped network drive would remain read-only if you were disconnected from the network.

When you are disconnected from the network, you can print to local printers, but you cannot print to shared printers on the network.

After you reconnect to the network, Synchronization Manager updates the network files with changes that you made while working offline. For more information about synchronizing files with Synchronization Manager, see To synchronize offline items.


Sharing a drive or folder

You can share a folder on your computer with other users on the network. When you share a folder, you can decide the permissions that other users will be allowed or denied when they access the files and programs in that folder over the network. You can also specify whether other users will be able to make the shared folder available offline. For more information, see To share a folder or drive.

To make shared network files and programs available offline, Offline Files stores a version of them in a cache. The computer can access this cache while disconnected from the network. There are three caching options to choose from when sharing files:

  • Only the files and programs that users specify will be available offline

    • This caching option provides offline access to only those files and programs that someone using your shared folder specifically identifies. This caching option is ideal for a shared network folder containing files and programs that are to be accessed and modified by several people. This is the default option when you set up a shared folder to be used offline.

  • All files and programs that users open from the shared folder will automatically be available offline

    • This caching option makes every file and program opened from your shared folder automatically available offline. Files and programs that are not opened are not available offline. This caching option is ideal for making files and programs available offline that are read, referenced, or run, but not changed in the process.

    Automatic caching for files and programs provides offline access to shared folders containing files and programs that are not to be changed. Automatic caching for programs reduces network traffic because offline files are opened directly, without accessing the network versions in any way, and generally start and run faster than the network versions. To provide automatic caching for files only, clear the Optimized for Performance check box.

    When you use automatic caching for files and programs, be sure to restrict permissions on the files and programs contained in the shared folder to read-only access.

  • Files or programs from the shared folder will not be available offline

    • All files or programs in the selected shared folder will not be available offline.

Notes

  • Sharing folders and drives requires special security consideration. For more information, see Securing shared resources.
  • The default cache size is set to 10 percent of available drive space. You can modify this setting in the Offline Files tab in Folder Options. Cache size settings affect only the autocached files. Manually cached files and programs using the Only the files and programs that users specify will be available offline option are restricted only by actual disk space available to the user. For more information, see Related Topics.
  • By default, Offline Files stores shared network files and programs in the systemroot\CSC directory on the user's hard drive. For example, if your system directory is C:\WINDOWS, your cache is C:\WINDOWS\CSC.


Handling file conflicts

When you synchronize files, the files that you opened or updated while you were disconnected from the network are compared to the files that are saved on the network. As long as the same files you changed have not been changed by someone else while you were offline, your changes are copied to the network. Following are common file conflict scenarios:

  • If someone else made changes to the same network file that you updated offline, you can choose to keep your version, keep the version on the network, or keep both versions. If you choose to save both versions of the file, you need to provide a different file name for your version of the file.
  • If you delete a network file on your computer while working offline and, in the meantime, someone else on the network is working in that file, the file is deleted from your computer, but it is not deleted from the network.
  • If you change a network file while working offline and someone else on the network deletes that file, you can choose to save your version to the network or delete it from your computer.
  • If you are disconnected from the network when a new file is added to a shared network folder that you have made available offline, that new file will be added to your computer when you reconnect and synchronize.

For more information about synchronizing files with Synchronization Manager, see To synchronize offline items and Synchronization Manager.


Encrypting offline files

With Offline Files, you can specify that offline files are encrypted. If you choose to encrypt offline files, only the files on your local computer are encrypted. The files on the network are not affected. Use encryption to keep offline files and folders safe from intruders who might gain unauthorized physical access to your computer.

You do not need to decrypt an encrypted file or folder before using it. However, an intruder who tries to access encrypted files or folders will be prevented from doing so.

For more information about working with encrypted files, see Encrypting File System overview and To encrypt offline files.


Working with Web pages offline

Using Microsoft Internet Explorer, you can make Web pages or entire Web sites available offline for viewing, including related links. A wizard prompts you to specify how much content to make available offline. You can also set up a schedule to synchronize content automatically.

Making Web pages available offline is a feature of Internet Explorer and is configured separately from the Offline Files feature in Windows. The folder options you specify for Offline Files, such as encryption and synchronization, do not apply to Web pages that you make available offline. Instead, use the options that are available for offline Web pages through Internet Explorer.

For more information, see To make Web pages available offline.


Offline Files for mobile users

If you travel frequently and rely on a portable computer to accomplish your work, Offline Files provides a way to ensure that you are working with the most current versions of the network files and that your work will be synchronized with the network when you reconnect. Using Offline Files, you can navigate through shared folders and mapped network drives regardless of whether you are connected to a network.

Follow these steps when working with Offline Files on a portable computer:

  • Make a file or folder available offline

    • Before you disconnect your portable computer from the network, you must first select the shared network files or folders that you want to use when you are disconnected and make them available offline. For more information, see To make a file or folder available offline.

  • Synchronize files when you log on to or log off from a computer

    • Set up Synchronization Manager to reflect the way you want your portable computer to synchronize your files when you log on to and log off from the network. For more information, see To synchronize offline items when you log on to or log off from a computer.

  • Disconnect a portable computer from the network

    • After you have completed the previous tasks, you can disconnect your portable computer and begin working offline. In XOX and the Windows Server 2003 family, the computer synchronizes automatically whenever the user suspends the computer. This policy is not controllable through the user interface.

  • Work offline

    • While working offline, you can still browse network drives and shared folders in My Computer or My Network Places. You will be able to see only those files that you made available offline and any files that you created after losing the network connection. A red X appears over any disconnected network drives. Your permissions on the network files and folders remain the same whether you are connected to the network or working offline. For more information, see Working offline.

  • Handle file conflicts

    • When you are finished working offline and you reconnect your portable computer to the network, you must synchronize your files. By synchronizing your files, you update the network files with changes that you made while working offline. By having Synchronization Manager automatically synchronize your files when you log on, you ensure that the latest file changes are reflected on the network and that any file conflicts are handled properly. For more information, see Handling file conflicts.